%define libname %mklibname Rmath
# (tpg) really not needed
# for private copy in /usr/lib/R/share/perl/Text/DelimMatch.pm
%global __provides_exclude KernSmooth.so|MASS.so|R_X11.so|class.so|cluster.so|foreign.so|grDevices.so|grid.so|internet.so|lapack.so|lattice.so|libRblas.so|libRlapack.so|methods.so|mgcv.so|nlme.so|nnet.so|rpart.so|spatial.so|splines.so|stats.so|survival.so|tcltk.so|tools.so|vfonts.so|perl\\\(R::.*\\\)
%global __requires_exclude libRblas.so|libRlapack.so|perl\\\(R::.*\\\)

%define _disable_ld_no_undefined 1

%bcond_without tcltk

%ifarch %mips %arm
%define use_java	0
%else
%define use_java	1
%endif

%define subrel 1

Summary:	A language for data analysis and graphics
Name:		R-base
Version:	3.1.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Sciences/Mathematics
URL:		http://www.r-project.org
Source0:	http://cran.r-project.org/src/base/R-3/R-%{version}.tar.gz
Source1:	R-icons-png.tar.bz2
Source2:	R.bash_completion
Patch0:		R-2.15.3-menu.patch
Patch1:		R-2.13.0-disable-optimized-BLAS-test.patch
Patch2:		R-3.0.3-verbose-Examples-test.patch
#(lm) backport upstream fix for buffer overflow vulnerability TALOS-2016-0227 - CVE-2016-8714
# http://www.talosintelligence.com/reports/TALOS-2016-0227/   (mga#20524)
Patch3:		R-3.1.2-fix-buffer-overflow-vulnerability-in-devPS_CVE-2016-8714.patch

BuildRequires:  gcc
BuildRequires:	pth-devel
BuildRequires:	glibc-static-devel
BuildRequires:	gcc-c++
BuildRequires:	cups-common
BuildRequires:	bzip2-devel
BuildRequires:	gcc-gfortran
BuildRequires:	quadmath-devel
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	texinfo
BuildRequires:	texinfo-tex
BuildRequires:	texlive
BuildRequires:	texlive-fontsextra
BuildRequires:	libx11-devel
BuildRequires:	libxmu-devel
BuildRequires:	libxt-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires:	pcre-devel
BuildRequires:	bison
BuildRequires:	xdg-utils
%if %{use_java}
BuildRequires:	java-devel-openjdk
%endif
BuildRequires:	paper-utils
BuildRequires:	cairo-devel
BuildRequires:	pango-devel
BuildRequires:	libtiff-devel
BuildRequires:	zip
BuildRequires:	lapack-devel
BuildRequires:	blas-devel
BuildRequires:	gcc-objc
BuildRequires:	gcc-objc++
BuildRequires:	imake
BuildRequires:	gettext-devel
BuildRequires:	glibc-static-devel
BuildRequires:	pth-devel
#BuildRequires:	gnustep-make
#BuildRequires:	libgnustep-base-devel
#BuildRequires:	gnustep-base
BuildRequires:	lzma-devel
BuildRequires:	icu-devel
BuildRequires:	paper-utils
BuildRequires:	tre-devel
%if %{with tcltk}
BuildRequires:	tcl
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
Requires:	tcl
Requires:	tk
Requires:	x11-font-adobe-100dpi
%endif
Provides:	R = %{version}
Provides:	R-recommended = %{version}
Requires:	perl
Requires:	sed

%description
`GNU S' - A language and environment for statistical computing and
graphics. R is similar to the S system, which was developed at Bell
Laboratories by John Chambers et al. It provides a wide variety of
statistical and graphical techniques (linear and nonlinear modelling,
statistical tests, time series analysis, classification, clustering, ...).

R is designed as a true computer language with control-flow
constructions for iteration and alternation, and it allows users to
add additional functionality by defining new functions. For
computationally intensive tasks, C, C++ and Fortran code can be linked
and called at run time.

%package -n %{libname}
Summary:	Standalone math library from the R project
Group:		Development/Other

%description -n %{libname}
A standalone library of mathematical and statistical functions derived
from the R project.  This packages provides the shared libRmath library.

%package -n %{libname}-devel
Summary:	Standalone math library from the R project
Group:		Development/Other
Provides:	libRmath-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname}-devel
A standalone library of mathematical and statistical functions derived
from the R project.  This packages provides the static libRmath library
and header files.

%prep
%setup -qn R-%{version}
%apply_patches

%build
#rm -f acinclude.m4
aclocal -I ./m4
autoconf --force
#autoreconf -fiv

export R_BROWSER="$(type -p xdg-open)"
export R_PDFVIEWER="$(type -p xdg-open)"
export R_PRINTCMD="lpr"

# (tpg) try to not build with -ffast-math
export CFLAGS=$(echo "%{optflags}" | sed -e s/-ffast-math/-fno-fast-math/g )
export CFLAGS="%{optflags}"
export FFLAGS=$CFLAGS
export CXXFLAGS=$CFLAGS
export FCFLAGS=$CFLAGS
export OBJCFLAGS=$CFLAGS
export F77="gfortran"
%if %{use_java}
export JAVA_HOME="%{java_home}"
%endif
export FPICFLAGS=-fPIC
unset DISPLAY

# Turn off enable-lto.  
# lto requires that the flags for static libraries be
# set specifically, and this causes link errors with CRAN
# packages.
#
# See bug #13528 for where this can fail


%configure2_5x \
%if %{with tcltk}
	--with-tcltk \
	--with-tcl-config=%{_libdir}/tclConfig.sh \
	--with-tk-config=%{_libdir}/tkConfig.sh \
%else
	--without-tcltk \
%endif
	--with-cairo \
	--with-libpng \
	--with-jpeglib \
	--with-system-zlib \
	--with-system-bzlib \
	--with-system-pcre \
	--with-system-tre \
	--with-system-xz \
	--with-ICU \
	--with-readline \
	--disable-BLAS-shlib \
	--with-lapack=%{_libdir} \
	--with-blas=%{_libdir} \
	--enable-threads=pth \
	--enable-R-profiling \
	--enable-R-shlib \
	--disable-lto

make %{?_smp_mflags}

pushd src/nmath/standalone
make %{?_smp_mflags}
popd

make %{?_smp_mflags} pdf
make %{?_smp_mflags} info

# DON'T comment "make check" below! If R doesn't pass the 'check' test
# then it is probably badly compiled, or there are problems with
# the compiler.
#
%check
TZ=UTC LC_ALL=UTF-8 make check || (find -name "*.fail" | xargs cat ; exit 1)


%install
# N.B. don't use %%makeinstall because it sets prefix= which breaks Rscript
# mga#1434
%makeinstall_std install-info

pushd src/nmath/standalone
%makeinstall \
    includedir=%{buildroot}%{_includedir} \
    libdir=%{buildroot}%{_libdir}
popd

mv doc/manual/*.pdf $RPM_BUILD_DIR/R-%{version} || :
# Add soft links (useful for TK gui)
for i in R-admin R-data refman R-exts R-FAQ R-intro R-lang; do
	ln -s %{_datadir}/doc/R-base/${i}.pdf %{buildroot}%{_libdir}/R/doc/manual/${i}.pdf
done

# Remove latex versions of help pages
#
rm -rf %{buildroot}%{_libdir}/R/library/*/latex/

# Get rid of buildroot in script
for i in %{buildroot}%{_libdir}/R/bin/R %{buildroot}%{_bindir}/R %{buildroot}%{_libdir}/pkgconfig/libR*.pc;
do
  sed -i "s|%{buildroot}||g" $i;
done

# Remove package indices. They are rebuilt by the postinstall script.
#
rm -f %{buildroot}%{_libdir}/R/doc/html/function.html
rm -f %{buildroot}%{_libdir}/R/doc/html/packages.html
rm -f %{buildroot}%{_libdir}/R/doc/html/search/index.txt

# Fix permissions
chmod 644 %{buildroot}%{_libdir}/R/library/MASS/scripts/*
chmod 755 %{buildroot}%{_libdir}/R/share/sh/echo.sh

%if %{with tcltk}
# .desktop
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=R
Comment=A language for statistical computing
Comment[ar]=لغة للحساب الإحصائي
Comment[bg]=Език за статистичеки изчисления
Comment[cs]=Jazyk pro statistické výpočty
Comment[cy]=Iaith cyfrifiadura ystadegol
Comment[da]=Et sprog for statistisk beregning
Comment[el]=Μια γλώσσα για στατιστικούς υπολογισμούς
Comment[es]=R - un lenguaje para la computación estadística
Comment[et]=Statistiliste arvutusmeetodite keel
Comment[eu]=Konputazio estatistikoarentzako hizkuntza
Comment[fi]=Ohjelmointikieli tilastojen laskentaan
Comment[fr]=Un langage pour les calculs statistiques
Comment[gl]=Unha linguaxe para o cálculo estatístico
Comment[he]=שפה לחישוב סטטיסטי
Comment[hu]=Nyelv statisztikai programozáshoz
Comment[is]=Forritunarmál til tölfræðireikninga
Comment[it]=R, un linguaggio per elaborazioni statistiche
Comment[ky]=R - статистикалык эсептөө тили
Comment[nb]=Et program for statistisk beregning
Comment[nl]=Een taal voor statistische berekeningen
Comment[nn]=Statistiske utrekningar og simuleringar
Comment[pl]=Język służący do obliczeń statystycznych
Comment[pt]=Uma linguagem para computação estatística
Comment[pt_BR]=Uma linguagem para cálculos estatísticos
Comment[ro]=Un limbaj pentru calcul statistic
Comment[ru]=R - язык статистических вычислений
Comment[sl]=Jezik za statistično računanje
Comment[sv]=Ett språk för statistisk databehandling
Comment[tr]=İstatiksel hesaplamalar için dil
Comment[uk]=Мова для статистичних розрахунків
Comment[zh_CN]=一种统计计算语言
Comment[zh_TW]=一種用於統計學計算的語言
Exec=%{_bindir}/R --gui=tk
Terminal=true
Type=Application
Icon=Rlogo
Categories=Science;Math;
EOF

# icons
mkdir -p %{buildroot}%{_iconsdir}
tar xjf %{SOURCE1} -C %{buildroot}%{_iconsdir}
%endif

# remove unpackaged files
rm -f %{buildroot}%{_infodir}/dir{,.old*}

# remove private perl libraries
rm -rf %{buildroot}%{_libdir}/R/share/perl/File
rm -rf %{buildroot}%{_libdir}/R/share/perl/Text

# (tpg) add bash completion file
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
cp %{SOURCE2} %{buildroot}%{_sysconfdir}/bash_completion.d/R-base


%post
%_install_info R-admin.info
%_install_info R-data.info
%_install_info R-exts.info
%_install_info R-FAQ.info
%_install_info R-intro.info
%_install_info R-lang.info

%preun
if [ $1 = 0 ]; then
%_remove_install_info R-admin.info
%_remove_install_info R-data.info
%_remove_install_info R-exts.info
%_remove_install_info R-FAQ.info
%_remove_install_info R-intro.info
%_remove_install_info R-lang.info
fi


%files
%doc README VERSION
%doc R-admin.pdf R-data.pdf R-exts.pdf R-FAQ.pdf R-intro.pdf R-lang.pdf fullrefman.pdf
%{_bindir}/R
%{_bindir}/Rscript
%{_libdir}/R/bin
%{_libdir}/R/doc
%{_libdir}/R/etc
%{_libdir}/R/include
%{_libdir}/R/lib
%{_libdir}/R/modules
%{_libdir}/R/share
%dir %{_libdir}/R/library
%{_libdir}/R/library/KernSmooth
%{_libdir}/R/library/MASS
%{_libdir}/R/library/Matrix
%{_libdir}/R/library/base
%{_libdir}/R/library/boot
%{_libdir}/R/library/class
%{_libdir}/R/library/cluster
%{_libdir}/R/library/codetools
%{_libdir}/R/library/compiler
%{_libdir}/R/library/datasets
%{_libdir}/R/library/foreign
%{_libdir}/R/library/grDevices
%{_libdir}/R/library/graphics
%{_libdir}/R/library/grid
%{_libdir}/R/library/lattice
%{_libdir}/R/library/methods
%{_libdir}/R/library/mgcv
%{_libdir}/R/library/nlme
%{_libdir}/R/library/nnet
%{_libdir}/R/library/parallel
%{_libdir}/R/library/rpart
%{_libdir}/R/library/spatial
%{_libdir}/R/library/splines
%{_libdir}/R/library/stats
%{_libdir}/R/library/stats4
%{_libdir}/R/library/survival
%{_libdir}/R/library/tcltk
%{_libdir}/R/library/tools
%{_libdir}/R/library/utils
%dir %{_libdir}/R/library/translations/
%{_libdir}/R/library/translations/DESCRIPTION
%lang(da) %{_libdir}/R/library/translations/da/
%lang(de) %{_libdir}/R/library/translations/de/
%lang(en) %{_libdir}/R/library/translations/en*/
%lang(es) %{_libdir}/R/library/translations/es/
%lang(fa) %{_libdir}/R/library/translations/fa/
%lang(fr) %{_libdir}/R/library/translations/fr/
%lang(it) %{_libdir}/R/library/translations/it/
%lang(ja) %{_libdir}/R/library/translations/ja/
%lang(ko) %{_libdir}/R/library/translations/ko/
%lang(nn) %{_libdir}/R/library/translations/nn/
%lang(pl) %{_libdir}/R/library/translations/pl/
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/
%lang(ru) %{_libdir}/R/library/translations/ru/
%lang(tr) %{_libdir}/R/library/translations/tr/
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/
%lang(zh_TW) %{_libdir}/R/library/translations/zh_TW/
%{_infodir}/*.info*
%{_libdir}/R/COPYING
%{_libdir}/R/SVN-REVISION
%{_libdir}/pkgconfig/libR.pc
%{_mandir}/*/*
%{_sysconfdir}/bash_completion.d/*
%if %{with tcltk}
%{_datadir}/applications/*.desktop
%{_iconsdir}/Rlogo.png
%{_liconsdir}/Rlogo.png
%{_miconsdir}/Rlogo.png
%endif

%files -n %{libname}
%{_libdir}/libRmath.so

%files -n %{libname}-devel
%{_libdir}/libRmath.a
%{_includedir}/Rmath.h
%{_libdir}/pkgconfig/libRmath.pc


%changelog
* Wed Mar 29 2017 lmenut <lmenut> 3.1.2-2.1.mga5
+ Revision: 1095254
- add upstream patch to fix buffer overflow vulnerability CVE-2016-8714

* Thu Nov 27 2014 alexl <alexl> 3.1.2-2.mga5
+ Revision: 799491
- translated desktop file

* Sun Nov 09 2014 lmenut <lmenut> 3.1.2-1.mga5
+ Revision: 796156
- update to 3.1.2
- use system tre
- fix translations packaging
- allow build without tclck using --without-tcltk

* Wed Oct 15 2014 umeabot <umeabot> 3.1.1-4.mga5
+ Revision: 747185
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.1-3.mga5
+ Revision: 687011
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.1.1-2.mga5
+ Revision: 677648
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sun Aug 31 2014 lmenut <lmenut> 3.1.1-1.mga5
+ Revision: 670207
- Update to 3.1.1

* Tue Jun 17 2014 joequant <joequant> 3.0.3-4.mga5
+ Revision: 637733
- revert 637698 pending changes

* Tue Jun 17 2014 joequant <joequant> 3.0.3-3.mga5
+ Revision: 637698
- change dependencies.  Remove tk/tcl dependency.  Use system tre

* Mon Jun 16 2014 joequant <joequant> 3.0.3-2.mga5
+ Revision: 637578
- turn off LTO.  Problems with gcc 4.9.  See #13528

* Sat Apr 12 2014 joequant <joequant> 3.0.3-1.mga5
+ Revision: 613591
- upgrade to 3.0.3

* Tue Oct 22 2013 umeabot <umeabot> 3.0.2-2.mga4
+ Revision: 542031
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 lmenut <lmenut> 3.0.2-1.mga4
+ Revision: 496747
- Update to 3.0.2
  + remove obsoletes patches
  + fix file list
- update java buildrequires
- build fullrefman.pdf with inconsolata

* Fri Sep 27 2013 fwang <fwang> 2.15.3-4.mga4
+ Revision: 487512
- add fedora patch to build with texinfo 5
- rebuild for icu 52

* Tue Jun 04 2013 fwang <fwang> 2.15.3-3.mga4
+ Revision: 437006
- rebuild for new libpng

* Sun May 26 2013 fwang <fwang> 2.15.3-2.mga4
+ Revision: 428038
- rebuild for icu

* Sat Mar 02 2013 lmenut <lmenut> 2.15.3-1.mga3
+ Revision: 401111
- Update to 2.15.3
  + rediff patch0
  + build refman.pdf without inconsolata

* Mon Jan 14 2013 umeabot <umeabot> 2.15.2-3.mga3
+ Revision: 381114
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.15.2-2.mga3
+ Revision: 323688
- rebuild for new pcre

* Wed Nov 21 2012 lmenut <lmenut> 2.15.2-1.mga3
+ Revision: 320394
- update to 2.15.2

* Fri Nov 09 2012 fwang <fwang> 2.15.1-3.mga3
+ Revision: 316670
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 2.15.1-2.mga3
+ Revision: 314784
- rebuild for new icu

* Sun Aug 26 2012 lmenut <lmenut> 2.15.1-1.mga3
+ Revision: 284221
- update to 2.15.1
- add BuildRequires texinfo-tex

* Tue May 29 2012 fwang <fwang> 2.14.2-3.mga3
+ Revision: 249515
- rebuild for new icu

* Wed Feb 29 2012 lmenut <lmenut> 2.14.2-2.mga2
+ Revision: 216234
- update to 2.14.2
- clean spec

* Fri Dec 23 2011 fwang <fwang> 2.14.1-2.mga2
+ Revision: 186474
- rebuild for new libtiff

* Thu Dec 22 2011 lmenut <lmenut> 2.14.1-1.mga2
+ Revision: 185950
- update to 2.14.1

* Wed Dec 21 2011 lmenut <lmenut> 2.14.0-1.mga2
+ Revision: 185416
- update to 2.14.0
- fix BuildRequires:
  + add quadmath-devel
  + replace tetex-latex by texlive
  + add texlive-fontsextra (inconsolata.sty needed)

* Mon Oct 24 2011 fwang <fwang> 2.13.2-1.mga2
+ Revision: 157613
- fix build
- new version 2.13.2
- build with system pcre

* Fri Sep 30 2011 fwang <fwang> 2.13.1-2.mga2
+ Revision: 150404
- bump rel
- tighten br

* Sat Sep 24 2011 lmenut <lmenut> 2.13.1-1.mga2
+ Revision: 147547
- build with internal pcre for now

  + fwang <fwang>
    - new version 2.13.1

* Sat Jul 02 2011 fwang <fwang> 2.13.0-4.mga2
+ Revision: 117330
- rebuild for new tcl

* Tue Jun 28 2011 ahmad <ahmad> 2.13.0-3.mga2
+ Revision: 114998
- Don't use %%makeinstall because it sets prefix= which breaks Rscript (mga#1434)

* Mon Jun 20 2011 fwang <fwang> 2.13.0-2.mga2
+ Revision: 110319
- rebuild for new icu

* Sun Apr 17 2011 lmenut <lmenut> 2.13.0-1.mga1
+ Revision: 87267
- update to 2.13.0
- re-enable check
- disable only BLAS test
- clean post and preun scripts

* Sun Jan 23 2011 ahmad <ahmad> 2.12.0-4.mga1
+ Revision: 33474
- drop old/unneeded scriptlets
- rename .desktop file
- imported package R-base


* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 2.12.0-3mdv2011.0
+ Revision: 601641
- rebuild for liblzma

* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 2.12.0-2mdv2011.0
+ Revision: 594963
- bump rel
- try to export libR at least

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.12.0-1mdv2011.0
+ Revision: 594193
- disable check on all archs
- run checks only on ix86 arch
- update to new version 2.12.0
- add buildrequires on paper-utils

* Thu Apr 22 2010 Frederik Himpe <fhimpe@mandriva.org> 2.11.0-1mdv2010.1
+ Revision: 537985
- update to new version 2.11.0

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 2.10.1-4mdv2010.1
+ Revision: 526042
- rebuild for new icu

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.10.1-3mdv2010.1
+ Revision: 488740
- rebuilt against libjpeg v8

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Fix path for PDF manuals (needed by Tk gui).
    - Add graphics (Patch5) demo to list of available demos in Tk Gui menu.
    - make post script of cat of CONTENTS into index.txt more robust.

* Tue Dec 15 2009 Frederik Himpe <fhimpe@mandriva.org> 2.10.1-1mdv2010.1
+ Revision: 479120
- Update to new version 2.10.1
- Remove string format patch: not needed anymore

* Sun Nov 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.10.0-1mdv2010.1
+ Revision: 463065
- add buildrequires on icu-devel and lzma-devel
- update to new version 2.10.0

  + Olivier Blin <oblin@mandriva.com>
    - disable java on mips & arm (from Arnaud Patard)

* Mon Aug 24 2009 Frederik Himpe <fhimpe@mandriva.org> 2.9.2-1mdv2010.0
+ Revision: 420514
- Update to new version 2.9.2
- Update string format patch

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.9.0-2mdv2010.0
+ Revision: 416647
- rebuilt against libjpeg v7

* Sun Jun 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.9.0-1mdv2010.0
+ Revision: 385948
- update to new version 2.9.0

* Wed Mar 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.8.1-6mdv2009.1
+ Revision: 357464
- disable for now checks for ix86, because they fails only in iurt
- rebuild
- rebuild
- define _disable_ld_no_undefined 1, because i have no idea how to fix Makefile compressed into tarball, R kernel modules
- patch 1 is not needed anymore
- update to new version 2.8.1
- export compiles flags by using %%setup_compile_flags macro

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - add pth-devel and glibc-static-devel to build dependencies
    - rebuild for latest tk libs

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild for new libreadline

* Fri Oct 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.8.0-1mdv2009.1
+ Revision: 299061
- disable patch 3 for now
- disable patch 1 for now
- update to new version 2.8.0

* Wed Sep 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.7.2-2mdv2009.0
+ Revision: 285483
- Patch3: security fix for CVE-2008-3931

* Tue Aug 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.7.2-1mdv2009.0
+ Revision: 276262
- update to new version 2.7.2

* Thu Aug 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.7.1-2mdv2009.0
+ Revision: 266675
- disable -ffast-math flag as it breaks tests
- add conditionals for mdv 200900
- Patch1: fix detection of bzip2 version
- Patch2: fix underlinking (work in progress)
- use %%{_prefix} instead of hardcoded /usr/local
- compile against system wide blas and lapack (disabled --enable-BLAS-shlib)
- use pth threads
- use _disable_ld_no_undefined to fix build
- add missing buildrequires on imake, gcc-objc, gcc-objc++ and gettext-devel
- require x11-font-adobe-100dpi
- add buildrequires on zip
- do not set R_LIBS variable (#37781)
- add requires on x11-font-adobe-75dpi, as it was pointed on cooker ML
- try to build with enabled -ffast-math
- update to new version 2.7.1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - fix typo calling %%clean_icon_cache in %%postun
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.7.0-4mdv2009.0
+ Revision: 197249
- add buildrequires on pango, cairo and tiff

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.7.0-3mdv2009.0
+ Revision: 197243
- new version

* Mon Feb 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.2-3mdv2008.1
+ Revision: 165448
- revert my last commit (lapack & blas)
- use system blas and lapack libraries
- add bash completion file

* Mon Feb 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.2-2mdv2008.1
+ Revision: 165176
- use xdg-open instead of hardcoding pdfviewer and web browser

* Sun Feb 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.2-1mdv2008.1
+ Revision: 164979
- enable java support
- add missing build requires on bison and paper-utils
- export FCFLAGS and OBJCFLAGS
- use xpdf as a default pdf viewer
- do not compile with -ffast-math, as it breaks checks
- new version 2.6.2

* Wed Dec 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.1-4mdv2008.1
+ Revision: 133819
- fix exceptions for package requires

* Sun Dec 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.1-3mdv2008.1
+ Revision: 120664
- add requires exceptions on perl(R::*)
- new license policy
- do not package COPYING file
- add missing scriplets

* Wed Dec 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.1-2mdv2008.1
+ Revision: 118467
- don't provide private perl libraries
  don't even ship private copies of standard ones

* Tue Nov 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.1-1mdv2008.1
+ Revision: 113286
- new version

* Tue Oct 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.0-1mdv2008.1
+ Revision: 96121
- new version
- requires tk

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 2.5.1-3mdv2008.0
+ Revision: 82069
- buildrequires tcl-devel
- rebuild for new soname of tcl

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 2.5.1-2mdv2008.0
+ Revision: 81307
- menu entry fix for #33216

* Tue Jul 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.1-1mdv2008.0
+ Revision: 47695
- drop patch 1
- new version

* Sat Jun 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.0-7mdv2008.0
+ Revision: 40396
- blacklist self-requires on libraries

* Sat Jun 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.0-6mdv2008.0
+ Revision: 40300
- really remove unneeded requires
- blacklist libraries as a provides

* Fri Jun 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.0-5mdv2008.0
+ Revision: 39940
- blacklist lapack.so from provides
- fix bug #31177
- evince is now default pdf viewer
- fix file list
- get rid of ld.so.conf.d stuff

* Sat May 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.0-4mdv2008.0
+ Revision: 23202
- R doesn't set its own library path, now it does
- correct requires on R and libRmath
- drop unused directory

* Thu May 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.0-3mdv2008.0
+ Revision: 21963
- enable libRmath compiling
- add reworked P1 from Fedora
- added some stuff - hope rkward will work

* Mon Apr 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.0-2mdv2008.0
+ Revision: 19462
- remove buildrequires on liblapack-devel
- drop P0 (seems to be not needed)
- revoke dead configure options and add new ones
- fix buildrequires
- drop old menu style

* Thu Apr 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.0-1mdv2008.0
+ Revision: 18415
- new version
- own missing files


* Sun Feb 18 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.4.1-2mdv2007.0
+ Revision: 122253
- xdg menus.

* Fri Feb 09 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.4.1-1mdv2007.1
+ Revision: 118653
- Release 2.4.1.

* Wed Nov 15 2006 Olivier Blin <oblin@mandriva.com> 2.4.0-1mdv2007.1
+ Revision: 84511
- 2.4.0
- Import R-base

* Mon Jun 19 2006 Stefan van der Eijk <stefan@eijk.nu.lurtspam> 2.3.1-1mdv2007.0
- rebuild for png

* Sat Jun 03 2006 Jerome Soyer <saispo@mandriva.org> 2.3.1-1mdv2007.0
- New release 2.3.1

* Sat May 20 2006 Jerome Soyer <saispo@mandriva.org> 2.2.1-2mdk
- Rebuild for the new glibc

* Fri Mar 10 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.2.1-1mdk
- Release 2.2.1.

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-5mdk
- rebuilt against soname aware deps

* Sat Dec 10 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.2.0-4mdk
- Don't use parallel build for %%make check
- Added cups-common to BuildRequires.

* Wed Dec 07 2005 Giuseppe Ghib <ghibo@mandriva.org> 2.2.0-3mdk
- fix bug #19905.

* Sun Nov 27 2005 Michael Scherer <misc@mandriva.org> 2.2.0-2mdk
- do not provides perl(Text::DelimMatch)

* Thu Oct 20 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.2.0-1mdk
- Release: 2.2.0.

* Fri Aug 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.1-2mdk
- Fix BuildRequires

* Thu Aug 04 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.1.1-1mdk
- Release: 2.1.1.

* Fri Jun 17 2005 Couriousous <couriousous@mandriva.org> 2.1.0-2mdk
- Better fix for gcc4 bug
- Patch to allow R starting from desktop menu

* Sun May 08 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.1.0-1mdk
- Merged fixes from Couriousous <couriousous@mandriva.org>:
  - Release: 2.1.0.
  - Enable shared lib.
  - gnome gui is no more provided, use tk one in the menu.
  - Enable Large file support ( > 2Go ).
- lowered optimization from -O2 to -O1 due to gcc/gfortran bugs.
- fixed gcc-g77 BuildRequires.

* Sun Apr 17 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.1-5mdk
- Replaced libblas3-devel with libblas-devel in BuildConflicts
  (for X86_64).

* Wed Mar 23 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.1-4mdk
- Added Patch1 for supporting www-browser.

* Sat Jan 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.1-3mdk
- rebuild for new readline
- wipe out buildroot at the beginning of %%install
- cosmetics

* Thu Dec 16 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.1-2mdk
- Added libgnome-devel, libglade-devel to BuildRequires.

* Sun Dec 05 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1.
- Removed Patch1 (RestoreAction), merged upstream.

* Sat Nov 13 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0.
- Removed Patch1, merged upstream.
- Added Patch1 (RestoreAction) for fixing undefined (RestoreAction) in 
  R_gnome.so.

* Tue Oct 05 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.9.1-3mdk
- Added --gui=gnome to menu entry.
- Added Patch1 to allow R starting from desktop menu.

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.1-2mdk
- Rebuild with new menu

* Tue Jul 20 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.9.1-1mdk
- Release 1.9.1.
- Removed Patch1.

